// This may look like C code, but it is really -*- C++ -*-
// Classe d'initialiseur de module de PEIDA 

#ifndef PEIDAINIT_H_SEEN
#define PEIDAINIT_H_SEEN

#include "machdefs.h"

void PrintPeidaVersion(void);
double PeidaVersion(void); /* Version + (Revision/1000) */

// Classe d''initialisation pour les modules de PEIDA++

class PeidaInitiator {
private:
  static int FgInit;
public:
  			PeidaInitiator();
  virtual		~PeidaInitiator();
  virtual double 	Version(bool fgprt=true);
};

#define PeidaInit() PeidaInitiator peidainitiator

#endif

